Page MenuHomePhabricator

Change "Sections" to "Contents"
Closed, ResolvedPublic

Description

Issue

During a recent KaiOS app usability study, the word Sections was not clear in its meaning or function.

Request

Replace the word "Sections" with "Contents" in the quick links panel and the article menu to direct users to the different sections of content in an article.

Update translation hint to read: " The button Contents that users will click on to take them to different sections of an article. The Contents button is also available to select in the article Menu. If contents does not translate well, use words that are similar to: table of contents, topics or chapters.

Event Timeline

AMuigai created this task.Nov 9 2020, 2:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2020, 2:25 PM
AMuigai triaged this task as Medium priority.Nov 9 2020, 2:26 PM

Current translation hint (qqq): "The action button sections text on the first page of the article used to open the section page and the label of the Section item shown in the Menu page."

Update translation hint to read: " The button Contents that users will click on to take them to different sections of an article. The Contents button is also available to select in the article Menu. If contents does not translate well, use words that are similar to: table of contents, topics or chapters.

AMuigai updated the task description. (Show Details)Dec 1 2020, 11:13 AM
eamedina claimed this task.Dec 1 2020, 3:42 PM

Assuming we want to change the corresponding header (circled in green below) to 'Contents' as well.

Here's the PR: https://github.com/wikimedia/wikipedia-kaios/pull/288

eamedina moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Dec 1 2020, 4:23 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Dec 1 2020, 4:36 PM

The PR is merged

Thanks @eamedina. That should have changed as well, and thanks for updating it there too.

Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.Dec 9 2020, 6:04 PM
AMuigai closed this task as Resolved.Dec 10 2020, 11:25 AM